Subject: Re: Problem with ssh/pvm/winXp
From: Larry Hall <[email-masked]>
To: Pedro Luiz Nani Costa <[email-masked]>, Cygwin List <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Jan 2004 14:17:23 -0500

At 01:55 PM 1/12/2004, Pedro Luiz Nani Costa you wrote:
>Sorry Larry!!!!! :(
>
>That won´t happen again.
>
>I´m using pvm(paralle virtual machine 3.4.3), and windowsXp
>professional SP1, and my cygwin report is attached.

Got it.  I'd recommend *not* putting UNC paths in your path.  It will 
slow things down tremendously.  But, to each his own as they say.

>All that you say is correct, i could set now the environmental variables.
>But, my problem isn´t solve yet. For execute my program as i do in Unix, i
>have to mount a remote server with the pvm files. Actually, look what i
>have in .bashrc:
>
>---------------->
>if [ ! -d /mnt/shared/ ] ;\
>    then mkdir -p /mnt/shared ;\
>
>    if [ -d /shared/ ] ;\
>    then
>        # se existe o diretório local, ou seja, estou no servidor de
>        # aplicativos Cygwin
>    mount -f "c:\\cygwin\\shared" "/mnt/shared"
>    else
>        # se não, monto pela rede
>    mount -f "\\\\pcdep06\\shared" "/mnt/shared"
>    fi
>fi
>
>#Definições PVM
>export PVM_ROOT=/mnt/shared/pvm3
>export PVM_ROOT_U=$PVM_ROOT
>
><----------------
>
>That is possible using .ssh/rc or the ~/.bashrc itself in Unix. In that
>case(cygwin), can i do it in another way??? I mean, is there another
>mechanism to mount that net path????

Cywgin mounts don't have the same semantics as UNIX mounts.  They are 
primarily mapping DOS paths to POSIX.  They are also persistent.  Surmising
from your path that you expect the '//pcdep06/shared' path to always be 
available, you just need to mount this path once as a "system" path (see
'man mount') and you're done.  So I'd recommend just creating the mount 
point once manually, setting the proper environment variables in the control
panel for the system and let it go at that.  If you need the flexibility
of setting the mount point to one place or another dynamically, you can do
that too.  Just remember to 'umount /mnt/shared' before mounting it.  Also,
if you expect this all to work from 'ssh' or other service, make sure
that the shared location allows access without (Windows) authentication.

>Thanks again!!!!
>
>[]´s
>Pedraum
>
>On Mon, 12 Jan 2004, Larry Hall wrote:
>
>> At 11:59 AM 1/12/2004, Pedro Luiz Nani Costa you wrote:
>> >Hi folks!!!!
>> >
>> >I´m trying to use pvm over cygwin, and i´m not sure about what is
>> >happening.
>> >The thing is that i am using ssh instead of rsh. Well, no big deal...
>> >So far, look what it happens, if trying to add some hosts using pvm´s
>> >console:
>> >
>> >
>> >----------------------->
>> >pcosta@pcdep06 ~
>> >$ pvm
>> >pvm> add pcdep49
>> >add pcdep49
>> >0 successful
>> >                    HOST     DTID
>> >                 pcdep49 Can't start pvmd
>> >
>> >Auto-Diagnosing Failed Hosts...
>> >pcdep49...
>> >Verifying Local Path to "rsh"...
>> >Rsh found in /usr/bin/ssh.exe - O.K.
>> >Testing Rsh/Rhosts Access to Host "pcdep49"...
>> >Rsh/Rhosts Access is O.K.
>> >Checking O.S. Type (Unix test) on Host "pcdep49"...
>> >Host pcdep49 is Unix-based.
>> >Checking $PVM_ROOT on Host "pcdep49"...
>> >
>> >The value of the $PVM_ROOT environment
>> >variable on pcdep49 is invalid ("").
>> >Use the absolute path to the pvm3/ directory.
>> >
>> ><-----------------------
>> >
>> >Moreover, look at these output:
>> >
>> >----------------------->
>> >pcosta@pcdep06 ~
>> >$ ssh pcdep49 "export"
>> >declare -x ALLUSERSPROFILE="C:\\Documents and Settings\\All Users"
>> >declare -x CMG_HOME="C:\\Arquivos de programas\\CMG"
>> >declare -x COMMONPROGRAMFILES="C:\\Arquivos de programas\\Arquivos comuns"
>> >declare -x COMPUTERNAME="PCDEP49"
>> >declare -x COMSPEC="C:\\WINNT\\system32\\cmd.exe"
>> >declare -x CYGWIN="ntsec tty"
>> >declare -x CYGWIN32="ntsec tty"
>> >declare -x HOME="/home/pcosta"
>> >declare -x HOMEDRIVE="c:"
>> >declare -x HOMEPATH="\\Cygwin\\home\\pcosta"
>> >declare -x LOGNAME="pcosta"
>> >declare -x LOGONSERVER="\\\\PCDEP49"
>> >declare -x LSFORCEHOST="pcdep64"
>> >declare -x MAIL="/var/spool/mail/pcosta"
>> >declare -x NUMBER_OF_PROCESSORS="1"
>> >declare -x OLDPWD
>> >declare -x OS="Windows_NT"
>> >declare -x OS2LIBPATH="C:\\WINNT\\system32\\os2\\dll;"
>> >declare -x
>> >PATH="/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/cygdrive/c/WINNT/
>> >System32/Wbem:/cygdrive/c/ecl/home:/cygdrive/c/ecl/macros:/usr/bin:/bin"
>> >declare -x PATHEXT=".COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH"
>> >declare -x PROCESSOR_ARCHITECTURE="x86"
>> >declare -x PROCESSOR_IDENTIFIER="x86 Family 6 Model 8 Stepping 3,
>> >GenuineIntel"
>> >declare -x PROCESSOR_LEVEL="6"
>> >declare -x PROCESSOR_REVISION="0803"
>> >declare -x PROGRAMFILES="C:\\Arquivos de programas"
>> >declare -x PWD="/home/pcosta"
>> >declare -x SHELL="/bin/bash"
>> >declare -x SHLVL="1"
>> >declare -x SSH_CLIENT="143.106.81.151 3002 22"
>> >declare -x SSH_CONNECTION="143.106.81.151 3002 143.106.81.245 22"
>> >declare -x SYSTEMDRIVE="C:"
>> >declare -x SYSTEMROOT="C:\\WINNT"
>> >declare -x TEMP="/cygdrive/c/WINNT/TEMP"
>> >declare -x TERM="cygwin"
>> >declare -x TMP="/cygdrive/c/WINNT/TEMP"
>> >declare -x USER="pcosta"
>> >declare -x USERDOMAIN="PCDEP49"
>> >declare -x USERNAME="pcosta"
>> >declare -x WINDIR="C:\\WINNT"
>> >
>> ><-----------------------
>> >
>> >What am i missing here??????
>>
>>
>> First, you should clarify what pvm is.  I'm assuming you mean
>> <http://www.csm.ornl.gov/pvm/pvm_home.html>, though I can't be sure.
>>
>> AFAICS, the main problem is just that PVM_ROOT is not defined.  If that's the
>> case, just define it in the system variables (not the user's) in the Windows
>> control panel.
>>
>>
>> >It seems a problem with environmental setting, but i already define
>> >~/.bashrc,
>> > ~/.profile,  ~/.ssh/environment,  ~/.ss/rc, etc....
>>
>>
>> Assuming you mean environment variables, then see my response above.
>>
>>
>> >Oh!!! I´m using cygwin, pvm 3.4.3, windowsXp.......
>>
>>
>> This isn't enough information.  You should read through the "Problem reports"
>> link below.  This describes the proper "boot-strap" information that should
>> accompany all problem reports to this list.
>>
>>
>> >Any help it would be great!!!!!!
>> >
>> >Thanks in advance!!!!!
>> >
>> >[]´s
>> >Pedraum
>> >
>> >--
>> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> >Problem reports:       http://cygwin.com/problems.html
>> >Documentation:         http://cygwin.com/docs.html
>> >FAQ:                   http://cygwin.com/faq/
>>
>> --
>> Larry Hall                              http://www.rfk.com
>> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
>> 838 Washington Street                   (508) 893-9889 - FAX
>> Holliston, MA 01746
>>
>>
>>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/ 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/